Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575422 - Qt5-Qtbase doc and devel are not synchronized
Summary: Qt5-Qtbase doc and devel are not synchronized
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 19:23 UTC by Gerry Agbobada
Modified: 2018-06-06 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-06 13:29:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Gerry Agbobada 2018-05-06 19:23:56 UTC
Description of problem:
Since qt5-qtbase-devel and qt5-qtbase-doc are not "minor version - synchronized", installing both package is actually not enough to make Qt Creator automagically display relevant class information in its Help mode.

Version-Release number of selected component (if applicable):
This is a rough translation of dnf messages from french

$ sudo dnf list qt5-qtbase-doc qt5-qtbase-devel                                     
Last metadata check 0:00:17 ago on 2018-05-06 at 21:16:54 CEST.
Installed packages
qt5-qtbase-devel.x86_64                          5.10.1-6.fc28                          @fedora
Available packages
qt5-qtbase-devel.i686                            5.10.1-6.fc28                          fedora 
qt5-qtbase-doc.noarch                            5.9.2-3.fc28                           fedora 


How reproducible:
Always


Steps to Reproduce:
1. Install QtCreator package, qt5-qtbase-devel and qt5-qtbase-doc
2. Look for the documentation of a Qt Class in "Help" major mode
3. Click on QAbstractGraphicsShapeItem (For example)

Actual results:
Qt Creator displays the following error message :

The page could not be found
Error loading: qthelp://org.qt-project.qtdoc.5101/qtwidgets/qabstractgraphicsshapeitem.html
Check that you have the corresponding documentation set installed.

Expected results:
A local copy of https://doc.qt.io/qt-5/qabstractgraphicsshapeitem.html should appear in QtCreator panel


Additional info:

Comment 1 Fedora Update System 2018-05-09 10:46:25 UTC
qt5-doc-5.10.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d005678c4e

Comment 2 Fedora Update System 2018-05-10 01:30:52 UTC
qt5-doc-5.10.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d005678c4e

Comment 3 Fedora Update System 2018-06-06 13:29:58 UTC
qt5-doc-5.10.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.